using System;
static void Main(string[] args)
        {
            string a, b, c, n1, n2, n3, n4, n5, n6;
            a = Console.ReadLine();
            b = Console.ReadLine();
            c = Console.ReadLine();
            n1 = a + b + c;
            n2 = a + c + b;
            n3 = b + a + c;
            n4 = b + c + a;
            n5 = c + a + b;
            n6 = c + b + a;
            int broj = Math.Max(int.Parse(n1), Math.Max(int.Parse(n2), Math.Max(int.Parse(n3), Math.Max(int.Parse(n4), Math.Max(int.Parse(n5), int.Parse(n6))))));
            Console.WriteLine(broj);
            Console.ReadKey();
        }